Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.algorithm.twoplanar
Class TwoPlanarFactory

    java.lang.Object
      org.maltparser.parser.algorithm.twoplanar.TwoPlanarFactory

All Implemented Interfaces:
  AbstractFeatureFactory, AbstractParserFactory

Direct Known Subclasses:
  TwoPlanarArcEagerFactory

    public abstract class TwoPlanarFactory

extends Object
implements AbstractParserFactory

Author:
  Carlos Gomez Rodriguez

Field Summary
`protected Algorithm` | `algorithm`
`protected DependencyParserConfig` | `manager`

Constructor Summary
`TwoPlanarFactory(Algorithm algorithm)`

Method Summary
`Algorithm` | `getAlgorithm()`
`DependencyParserConfig` | `getManager()`
`Function` | `makeFunction(String subFunctionName)`
`ParserConfiguration` | `makeParserConfiguration()` Creates a parser configuration
`void` | `setAlgorithm(Algorithm algorithm)`
`void` | `setManager(DependencyParserConfig manager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.maltparser.parser.AbstractParserFactory
`makeOracleGuide, makeTransitionSystem`

Field Detail

### algorithm

    protected Algorithm algorithm

### manager

    protected DependencyParserConfig manager

Constructor Detail

### TwoPlanarFactory

    public TwoPlanarFactory(Algorithm algorithm)

Method Detail

### makeParserConfiguration

    public ParserConfiguration makeParserConfiguration()
                                                throws MaltChainedException

  Description copied from interface: `AbstractParserFactory`
  Creates a parser configuration

  Specified by:
    `makeParserConfiguration` in interface `AbstractParserFactory`
  Returns:
    a parser configuration
  Throws:
    `MaltChainedException`

### makeFunction

    public Function makeFunction(String subFunctionName)
                          throws MaltChainedException

  Specified by:
    `makeFunction` in interface `AbstractFeatureFactory`
  Throws:
    `MaltChainedException`

### getAlgorithm

    public Algorithm getAlgorithm()

### setAlgorithm

    public void setAlgorithm(Algorithm algorithm)

### getManager

    public DependencyParserConfig getManager()

### setManager

    public void setManager(DependencyParserConfig manager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.